Support » Plugin: WP Recipe Maker » Error in yoast compatibility

  • Resolved palmiak

    (@palmiak)


    Hi

    My test site is running:
    – WP 5.4
    – WP Recipe Maker 5.11.1
    – Yoast 13.4.1

    and in the admin panel I’ll get:
    “SyntaxError: invalid regular expression flag s” in yoast-compatibility.js here

    
    data = data.replace(/<!-- wp:wp-recipe-maker\/recipe.*?\/wp:wp-recipe-maker\/[^\s]* -->/gms, '');

    after removing the s flag everything works correct.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Brecht

    (@brechtvds)

    I’m actually not experiencing that issue with that same combination of versions. As far as I’m aware, s is a valid regex flag as well.

    What browser (and version) are you using?

    Thread Starter palmiak

    (@palmiak)

    Hi @brechtvds

    I’m using latest Firefox – in Chrome this problem doesn’t exist.

    Take a look here https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RegExp – the dotAll flag doesn’t work on FX.

    Plugin Author Brecht

    (@brechtvds)

    Interesting. I’ll look into it for the next update. It’s not really breaking any functionality, as far as I can tell from a quick test. Or does it break things for you?

    Thread Starter palmiak

    (@palmiak)

    I think it’s non-breaking or at least in my case it didn’t break anything.

    But if possible it’s always better to get rid of bugs like this.

    Thanks again for a quick response.

    Plugin Author Brecht

    (@brechtvds)

    Hi again,

    We just released WP Recipe Maker 6.0.0 which should fix this problem. Thanks again for letting me know!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error in yoast compatibility’ is closed to new replies.